/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Copyright (c) 2012-2014 Rexx Language Association. All rights reserved.    */
/*                                                                            */
/* This program and the accompanying materials are made available under       */
/* the terms of the Common Public License v1.0 which accompanies this         */
/* distribution. A copy is also available at the following address:           */
/* https://www.oorexx.org/license.html                                        */
/*                                                                            */
/* Redistribution and use in source and binary forms, with or                 */
/* without modification, are permitted provided that the following            */
/* conditions are met:                                                        */
/*                                                                            */
/* Redistributions of source code must retain the above copyright             */
/* notice, this list of conditions and the following disclaimer.              */
/* Redistributions in binary form must reproduce the above copyright          */
/* notice, this list of conditions and the following disclaimer in            */
/* the documentation and/or other materials provided with the distribution.   */
/*                                                                            */
/* Neither the name of Rexx Language Association nor the names                */
/* of its contributors may be used to endorse or promote products             */
/* derived from this software without specific prior written permission.      */
/*                                                                            */
/* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS        */
/* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT          */
/* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS          */
/* FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT   */
/* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,      */
/* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED   */
/* TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,        */
/* OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY     */
/* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING    */
/* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS         */
/* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.               */
/*                                                                            */
/*----------------------------------------------------------------------------*/

#ifndef IDC_STATIC
#define IDC_STATIC (-1)
#endif

#define IDD_PATIENT                             101
#define IDD_CONTACTS                            201
#define IDD_INSURANCE                           301
#define IDD_HISTORY                             401
#define IDC_EDIT_RELIGON                        1000
#define IDC_LV_SELF                             1001
#define IDC_LV_FAMILY                           1002
#define IDC_EDIT_ADDRESS_PI                     1006
#define IDC_EDIT_NAME_PI                        1007
#define IDC_EDIT_GROUP_PI                       1008
#define IDC_EDIT_NAME                           1013
#define IDC_EDIT_AKA                            1014
#define IDC_EDIT_AGE                            1016
#define IDC_RB_M                                1018
#define IDC_RB_F                                1019
#define IDC_RB_CHINESE                          1020
#define IDC_RB_ENGLISH                          1021
#define IDC_RB_FRENCH                           1022
#define IDC_RB_GERMAN                           1023
#define IDC_RB_SPANISH                          1024
#define IDC_RB_OTHER                            1025
#define IDC_EDIT_DOB3                           1040
#define IDC_EDIT_DOB2                           1041
#define IDC_EDIT_DOB1                           1042
#define IDC_EDIT_SSN1                           1044
#define IDC_EDIT_SSN3                           1045
#define IDC_EDIT_SSN2                           1046
#define IDC_RB_AFRICAN_AMERICAN                 1047
#define IDC_RB_NATIVE_AMERICAN                  1048
#define IDC_RB_ASIAN                            1049
#define IDC_RB_CAUCASIAN                        1050
#define IDC_RB_HISPANIC                         1051
#define IDC_RB_OTHER_RACE                       1052
#define IDC_RB_MARRIED                          1053
#define IDC_RB_SINGLE                           1054
#define IDC_RB_NEVER_MARRIED                    1055
#define IDC_RB_LEGALLY_SEPARATED                1056
#define IDC_RB_LIFEPARTNER                      1057
#define IDC_RB_WIDOWED                          1058
#define IDC_RB_DIVORCED                         1059
#define IDC_RB_OTHER_MARITAL                    1060
#define IDC_EDIT_CHURCH                         1078
#define IDC_EDIT_PATIENT_ADDRESS                1079
#define IDC_EDIT_PATIENT_CITY                   1080
#define IDC_EDIT_PATIENT_STATE                  1081
#define IDC_EDIT_PATIENT_ZIP                    1082
#define IDC_EDIT_EMAIL                          1083
#define IDC_EDIT_PATIENT_PHONE                  1084
#define IDC_EDIT_PATIENT_CELL                   1085
#define IDC_EDIT_EMPLOYER                       1086
#define IDC_EDIT_EMPLOYER_STREET                1087
#define IDC_EDIT_EMPLOYER_CITY                  1088
#define IDC_EDIT_EMPLOYER_STATE                 1089
#define IDC_EDIT_EMPLOYER_ZIP                   1090
#define IDC_EDIT_EMPLOYER_PHONE                 1091
#define IDC_EDIT_EMPLOYER_EXT                   1092
#define IDC_EDIT_OCCUPATION                     1093
#define IDC_EDIT_PHYSICIAN                      1094
#define IDC_EDIT_PHYSICIAN_PHONE                1095
#define IDC_EDIT_NAME_G                         1102
#define IDC_EDIT_RELATION_G                     1103
#define IDC_EDIT_DOB1_G                         1105
#define IDC_EDIT_DOB2_G                         1106
#define IDC_EDIT_DOB3_G                         1107
#define IDC_EDIT_AGE_G                          1108
#define IDC_EDIT_SSN1_G                         1109
#define IDC_EDIT_SSN2_G                         1110
#define IDC_EDIT_SSN3_G                         1111
#define IDC_RB_M_G                              1112
#define IDC_RB_F_G                              1113
#define IDC_EDIT_EMPLOYER_G                     1114
#define IDC_EDIT_OCCUPATION_G                   1115
#define IDC_EDIT_EMPLOYER_PHONE_G               1116
#define IDC_EDIT_ADDRESS_G                      1117
#define IDC_EDIT_CITY_G                         1118
#define IDC_EDIT_STATE_G                        1119
#define IDC_EDIT_ZIP_G                          1120
#define IDC_EDIT_PHONE_G                        1121
#define IDC_EDIT_CELL_G                         1122
#define IDC_EDIT_NAME_EC                        1123
#define IDC_EDIT_PHONE_EC                       1124
#define IDC_EDIT_RELATION_EC                    1125
#define IDC_EDIT_CELL_EC                        1126
#define IDC_EDIT_EMPLOYER_EC                    1127
#define IDC_EDIT_EMPLOYER_PHONE_EC              1128
#define IDC_EDIT_NAME_NOK                       1129
#define IDC_EDIT_PHONE_NOK                      1130
#define IDC_EDIT_RELATION_NOK                   1131
#define IDC_EDIT_CELL_NOK                       1132
#define IDC_EDIT_EMPLOYER_NOK                   1133
#define IDC_EDIT_DATE1_PI                       1134
#define IDC_EDIT_EMPLOYER_PHONE_NOK             1134
#define IDC_EDIT_DATE2_PI                       1135
#define IDC_EDIT_DATE3_PI                       1136
#define IDC_EDIT_CERTIFICATE_PI                 1137
#define IDC_EDIT_CITY_PI                        1138
#define IDC_EDIT_STATE_PI                       1139
#define IDC_EDIT_ZIP_PI                         1140
#define IDC_EDIT_PHONE1_PI                      1141
#define IDC_EDIT_PHONE2_PI                      1142
#define IDC_EDIT_SUBSCRIBER_PI                  1143
#define IDC_EDIT_EMPLOYER_PI                    1144
#define IDC_EDIT_RELATION_PI                    1145
#define IDC_EDIT_NAME_SI                        1146
#define IDC_EDIT_GROUP_SI                       1147
#define IDC_EDIT_DATE1_SI                       1148
#define IDC_EDIT_DATE2_SI                       1149
#define IDC_EDIT_DATE3_SI                       1150
#define IDC_EDIT_CERTIFICATE_SI                 1151
#define IDC_EDIT_SUBSCRIBER_SI                  1152
#define IDC_EDIT_EMPLOYER_SI                    1153
#define IDC_EDIT_RELATION_SI                    1154
#define IDC_EDIT_ADDRESS_SI                     1155
#define IDC_EDIT_CITY_SI                        1156
#define IDC_EDIT_STATE_SI                       1157
#define IDC_EDIT_ZIP_SI                         1158
#define IDC_EDIT_PHONE1_SI                      1159
#define IDC_EDIT_PHONE2_SI                      1160
